Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.marshal
Class TypeParser

    java.lang.Object
      org.apache.cassandra.db.marshal.TypeParser

    public class TypeParser

extends java.lang.Object

Parse a string containing an Type definition.

Field Summary
`static TypeParser` | `EMPTY_PARSER`

Method Summary
`java.util.Map<java.lang.Byte,AbstractType<?>>` | `getAliasParameters()`
`java.util.Map<java.lang.String,java.lang.String>` | `getKeyValueParameters()`
`static java.lang.String` | `getShortName(AbstractType<?> type)`
`java.util.List<AbstractType<?>>` | `getTypeParameters()`
`static AbstractType<?>` | `parse(java.lang.CharSequence compareWith)`
`static AbstractType<?>` | `parse(java.lang.String str)` Parse a string containing an type definition.
`static java.lang.String` | `stringifyAliasesParameters(java.util.Map<java.lang.Byte,AbstractType<?>> aliases)` Helper function to ease the writing of AbstractType.toString() methods.
`static java.lang.String` | `stringifyTypeParameters(java.util.List<AbstractType<?>> types)` Helper function to ease the writing of AbstractType.toString() methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_PARSER

    public static final TypeParser EMPTY_PARSER

Method Detail

### parse

    public static AbstractType<?> parse(java.lang.String str)
                                 throws ConfigurationException

  Parse a string containing an type definition.

  Throws:
    `ConfigurationException`

### parse

    public static AbstractType<?> parse(java.lang.CharSequence compareWith)
                                 throws ConfigurationException

  Throws:
    `ConfigurationException`

### getShortName

    public static java.lang.String getShortName(AbstractType<?> type)

### getKeyValueParameters

    public java.util.Map<java.lang.String,java.lang.String> getKeyValueParameters()
                                                                           throws ConfigurationException

  Throws:
    `ConfigurationException`

### getTypeParameters

    public java.util.List<AbstractType<?>> getTypeParameters()
                                                      throws ConfigurationException

  Throws:
    `ConfigurationException`

### getAliasParameters

    public java.util.Map<java.lang.Byte,AbstractType<?>> getAliasParameters()
                                                                     throws ConfigurationException

  Throws:
    `ConfigurationException`

### stringifyAliasesParameters

    public static java.lang.String stringifyAliasesParameters(java.util.Map<java.lang.Byte,AbstractType<?>> aliases)

  Helper function to ease the writing of AbstractType.toString() methods.

### stringifyTypeParameters

    public static java.lang.String stringifyTypeParameters(java.util.List<AbstractType<?>> types)

  Helper function to ease the writing of AbstractType.toString() methods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation